## mpeg2dec 0.5.1

=== debian/changelog ===
mpeg2dec (0.5.1-3) unstable; urgency=low

  * Team upload.
  * Upload to unstable. (Closes: #659705)
  * Update maintainer information.
  * Convert package to 3.0 (quilt) format.
  * Introduce Multiarch support.
  * debian/{control,rules}:
    - Remove depedency on gnome-pkg-tools, seems unnecessary.
  * debian/control:
    - Remove duplicate field.
    - Remove David I. Lehn from the Uploaders field. (Closes: #557280)
    - Remove URLs from packages descriptions, the Homepage: field is enough.
    - Avoid to use first person in packages descriptions.
    - Bump Standards.
  * Add lintian override for shlib-with-non-pic-code as it is deliberate.

 -- Alessio Treglia <alessio@debian.org>  Tue, 14 Feb 2012 20:49:43 +0100

mpeg2dec (0.5.1-2) experimental; urgency=low

  * New patch, 60_arm-private-symbols, set visibility of global symbols used
    in ARM specific assembly file to internal; spotted my make check on armel;
    thanks Riku Voipio for the report.
  * New patch, 61_global-symbol-test, rewrite the public symbol check to
    verify the shared libraries, to check for more things, and to avoid
    duplication; fixes make check on ARM.

 -- Loic Minier <lool@dooz.org>  Sat, 20 Dec 2008 09:42:41 +0100

mpeg2dec (0.5.1-1) experimental; urgency=low

  * Anchor package name extraction re.
  * Stop shipping *.la; only reference in rdeps is in
    /usr/lib/libextractor/libextractor_mpeg.la but apps are supposed to link
    to libextractor; hopefully libltdl3 doesn't rely on *.la or libextractor
    might require a binNMU.
  * New upstream release, with ABI changes and API additions; in particular,
    care should be taken to handle the new mpeg2_state_t
    STATE_SEQUENCE_MODIFIED.
    - Target experimental for now.
    - Build-dep on libx11-dev (upstream calls AC_PATH_XTRA) and libxext-dev.
    - Drop patch 62_drop-arch-opts and build with -mcpu=i486 on i386, -mcpu=v7
      -mno-vis on sparc, -mno-altivec -UARCH_PPC on powerpc, and -UARCH_ARM on
      arm in CFLAGS instead for reasons detailed in debian/rules; upstream
      enables various features based on the GNU host triplet if the compiler
      supports them, but this would taylor the binaries for the buildds'
      capabilities which might be higher than the Debian requirements.
    - Drop patch 64_non-pic-on-i386-only, merged upstream in a slightly
      different way.
    - Drop patch 66_add-dummy-handler-and-sanity-checks, merged upstream.
    - Drop patch 68_honor-cflags, upstream doesn't empty CFLAGS anymore.
    - Drop patch 70_autoconf, not needed anymore per above removals.
    - Update watch file for new upstream tarball name (libmpeg2-*).
  * Set DEB_MAKE_CHECK_TARGET to run testsuite during build.
  * Bump up Standards-Version to 3.8.0.

 -- Loic Minier <lool@dooz.org>  Fri, 11 Jul 2008 11:22:35 +0200

mpeg2dec (0.4.1-3) unstable; urgency=low

  * Move mpeg2dec to Section: x11 instead of graphics to match overrides.
  * Bump up Debhelper compatibility level to 5; bump up debhelper build-dep to
    >= 5.
  * Add -Wl,-z,defs -Wl,--as-needed to LDFLAGS; build-dep on cdbs >= 0.4.41.
  * New patch, 62_drop-arch-opts, drop arch-specific CFLAGS detection in
    upstream configure as we want to use the gcc defaults to work on all
    machines which Debian will be installed on, and not use the buildds as
    references.
  * Add Homepage.

 -- Loic Minier <lool@dooz.org>  Sun, 16 Dec 2007 16:21:57 +0100

mpeg2dec (0.4.1-2) unstable; urgency=low

  * Bump up Standards-Version to 3.7.3.
    - This new version allows PIC shared libraries on some arches;
      closes: #268603.
  * Wrap build-deps, deps, and uploaders.
  * Use ${binary:Version} instead of ${Source-Version}; build-dep on dpkg-dev
    >= 1.13.19.
  * Cleanup rules.
  * Retrieve the shared library package name (with SONAME) from control.
  * Move docs installation to debian/*.docs.
  * Drop useless libc6-dev | libc-dev dep.
  * Drop now useless README.Debian.
  * Use a wildcard to install the examples.
  * Install man pages via dh_install.
  * Pass --sourcedir=debian/tmp to dh_install.
  * Build-dep on gnome-pkg-tools (>= 0.7) and include clean-la.mk.
  * Build-dep on libxv-dev for xv output; thanks Jack Bates; closes: #390931.
  * Add watch file.
  * New patch, 66_add-dummy-handler-and-sanity-checks, fixes SEGV when playing
    http://sam.zoy.org/zzuf/lol-mplayer.m2v; from MPlayer; thanks
    Lionel Debroux; closes: #407922.
  * Add Vcs-Svn and Vcs-Browser URLs.
  * New patch, 68_honor-cflags, don't reset CFLAGS in configure.in;
    closes: #403194.
  * Update patches 64_non-pic-on-i386-only and 68_honor-cflags to not patch
    configure and add a new patch, 70_autoconf, to update configure by running
    autoconf.
  * Unset DEB_OPT_FLAGS to leave it to upstream configure to select the opt
    level when noopt isn't in DEB_BUILD_OPTS; this allows -O3 to be selected
    instead of the cdbs default of -O2.

 -- Loic Minier <lool@dooz.org>  Sun, 16 Dec 2007 14:48:42 +0100

mpeg2dec (0.4.1-1) unstable; urgency=low

  * Build against the default gcc version, we're too far away of 2.95 for the
    optimizations specific to this compiler to make sense anyway.
  * New upstream bugfix release; no API or ABI changes.
    - Drop patch 08_cleaner-bootstrap, merged upstream.
    - Drop patch 16_no-inline-setjmp, merged upstream.
    - Drop patch 32_amd64-cpuid, merged upstream.
    - Drop patch 48_altivec-detection, merged upstream.
    - Drop patch 80_rebootstrap, not needed anymore.

 -- Loic Minier <lool@dooz.org>  Sat, 16 Dec 2006 13:24:05 +0100

mpeg2dec (0.4.0b-4) unstable; urgency=low

  * Add CDBS' simple-patchsys. [debian/patches, debian/rules]
  * Add CDBS' utils. [debian/rules]
  * Convert the diff introduced in 0.3.1-5 to use non-PIC on i386 only in an
    independent patch. [configure,
    debian/patches/64_non-pic-on-i386-only.patch, libmpeg2/configure.incl]
  * Bump up Standards-version to 3.6.2. [debian/control]

