=== debian/control ===
Source: mpeg2dec
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Loic Minier <lool@dooz.org>,
           Sam Hocevar (Debian packages) <sam+deb@zoy.org>
Build-Depends: autotools-dev,
               cdbs (>= 0.4.93~),
               debhelper (>= 9),
               dpkg-dev (>= 1.16.0),
               libsdl1.2-dev (>= 1.2.3),
               libx11-dev,
               libxext-dev,
               libxv-dev
Standards-Version: 3.9.2
Homepage: http://libmpeg2.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/mpeg2dec.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/mpeg2dec.git

Package: libmpeg2-4-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libmpeg2-4 (= ${binary:Version}),
         pkg-config,
         ${misc:Depends}
Description: libmpeg2 development libraries and headers
 libmpeg2 is a library which can decode MPEG1 and MPEG2 video streams.
 .
 This package contains the libraries and headers required to compile
 programs which use libmpeg2.

Package: libmpeg2-4
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: MPEG1 and MPEG2 video decoder library
 libmpeg2 is a library which can decode MPEG1 and MPEG2 video streams.
 .
 The main features in libmpeg2 are:
 .
  * Conformance - libmpeg2 is able to decode all mpeg streams that conform to
    certain restrictions. For streams that follow these restrictions, libmpeg2
    is probably 100% conformant to the mpeg standards - and there's a pretty
    extensive test suite to check this.
 .
  * Speed - there has been huge efforts there, and libmpeg2 is probably the
    fastest library around for what it does.
 .
  * Portability - most of the code is written in C, and when platform-specific
    optimizations are used, there always is a generic C routine to fall back
    on.  This should be portable to all architectures - at least it is known
    people run this code on x86, ppc, sparc, arm and sh4.
 .
  * Reuseability - libmpeg2 is not intended to include any project-specific
    code, but it should still include enough features to be used by very
    diverse projects.
 .
 This package contains the libmpeg2 shared libraries.

Package: mpeg2dec
Architecture: any
Section: x11
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Simple libmpeg2 video decoder application
 Simple libmpeg2 application which can decode and play ES, PS, and TS video
 streams.  Includes extract_mpeg2 demuxer and various output drivers.
 .
 This package provides the mpeg2dec and extract_mpeg2 tools.
