=== debian/watch ===
version=3
http://libmpeg2.sourceforge.net/files/ libmpeg2-([\d.]*).tar.gz \
        debian uupdate
